package com.xypower.mpmaster.sms;

public enum SmsTypeEnum {
    /*
     * act=set //修改配置文件参数
     *     get //获取配置文件参数
     *     getfile//获取配置文件
     *     //修改配置文件
     *
     * cfg=Master //修改Master.json
     *     App    //修改App.json
     *
     *
     *
     *
     * */
//命令类型
    ACT("act="),//
    CFG("cfg="), //获取配置
    RESTART("restart="), //重启命令
    SET("set"), //获取配置
    GET("get"), //获取配置
    SETFILE("setfile"), //获取配置
    GETFILE("getfile"), //获取配置


    CFGFILE("CFGFILE"), //获取配置
    MASTER("Master"), //获取配置
    APP("App"), //获取配置
    REBOOT1("yw+at+stw21"), REBOOT2("at+stw21"), //重启命令
    REBOOT3("at-stw21"), //重启命令
    RESTART_MP("at+restart=mpapp"), RESTART_MP2("at-restart=mpapp"), RESTART_MPMST("at+restart=mpmaster"), RESTART_MPMST2("at-restart=mpmaster"), RESTART_BOTH_APPS("at+restart=both"), RESTART_BOTH_APPS2("at-restart=both"), SET_YW_SCHEDULE("yw+at+stw51"), //拍照时间表设置
    GET_YW_SCHEDULE("yw+at+str51"), //查询拍照时间表
    SET_OPERATE("yw+at+stw52"), //设置运维开关
    GET_OPERATE("yw+at+str52"), //查询运维开关
    SET_OPERATE_URL("yw+at+stw53"), //设置运维地址
    GET_OPERATE_URL("yw+at+str53"), //查询运维地址
    ADB("yw+at+ds"), //开关adb
    UPDATE("yw+at+update"), //远程升级
    GET_CMDID("at+str01"), //读取设备编号
    SET_CMDID("at+stw01"), //设置设备编号
    SET_IP("at+stw05"), //设置主站IP
    GET_IP("at+str05"), //读取主站IP端口
    SET_AI("yw+at+stw61"), //设置ai识别是否可用   0是不启用,1是启用
    GET_AI("yw+at+stw62"), //查询ai识别是否可用   0是不启用,1是启用
    SET_AI_BOARD("yw+at+stw63"), //设置ai画框是否可用 0是不启用,1是启用
    GET_AI_BOARD("yw+at+stw64"), //查询ai画框是否可用 0是不启用,1是启用
    GET_OSD("yw+at+str65"), //查询水印
    SET_OSD("yw+at+stw66"), //设置水印
    SET_PHOTO_SCHEDULE_LIST("at+stw37"), //拍照时间表设置
    GET_PHOTO_SCHEDULE_LIST("at+str37"), //拍照时间表查询
    SET_PHOTO_SCHEDULE("at+stw07"), //拍照时间表单独设置
    GET_PHOTO_SCHEDULE("at+str07"), //拍照时间表查询
    SET_RESOLUTION("at+stw38"), //分辨率设置
    GET_RESOLUTION("at+str38"), //查询分辨率
    TAKE_PHOTO("at+stw39"), //手动拍照/短视频并上传
    SET_HEART("yw+at+setHB"), //设置心跳间隔
    GET_HEART("yw+at+getHB"), //获取心跳间隔
    SET_TP("yw+at+setTP"), //设置传输协议
    GET_TP("yw+at+getTP"), //获取传输协议
    SET_PACKAGE("yw+at+setPackage"), //设置分包大小
    GET_PACKAGE("yw+at+getPackage"),//获取分包大小
    CLEAR_PHOTO("yw+at+clearPhoto"), //清除历史图片及视频
    CLEAR_LOG("yw+at+clearLog"), //删除日志
    CLEAR_ALL("yw+at+clearAll"), //清除图片、视频、日志
    RESTORE("yw+at+Restore"), //恢复出厂设置
    SIMCARD("at+str=sim"), SET_AUTO_TIME("at-auto-time"), // act=[on/off] type=[net/gps]
    UPD_CFG_FILE("at-updcfg"),//修改配置文件参数 // f=[1/2/91-99] c=[field count] n1=[field name] t1=[0/1/2] v1=
    GET_CFG_FILE("at-getcfg"), //获取配置文件参数// f=[0/1/2/91-99] p=[Absolute Path]
    UPD_FILE("at-updfile"),//替换配置文件 // f=[0/1/2/91-99] p=[Absolute Path]
    GET_FILE("at-getfile"), //获取配置文件 // f=[0/1/2/91-99] p=[Absolute Path]
    GET_GPS("yw+at+getGPS");//GPS数据获取


    private String name;

    SmsTypeEnum(String name) {
        this.name = name;
    }

    public String value() {
        return this.name;
    }
}
